List inspections for a lease
GET
/api/leases/{id}/inspections
const url = 'https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/inspections';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/inspections \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
inspections
required
Array<object>
object
createdAt
required
string format: date-time
id
required
string format: uuid
items
required
Array<object>
object
condition
required
string
damages
string
deductionAmountCents
integer
photoDocumentIds
Array<string>
room
required
string
leaseId
required
string format: uuid
notes
required
string
organizationId
required
string format: uuid
performedAt
required
string format: date-time
performedByUserId
required
string format: uuid
type
required
string
updatedAt
required
string format: date-time
Example
{ "inspections": [ { "type": "move_in" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}